<?php					
	// appel fichier internationalisation
	$registry = Yab_Loader::getInstance() -> getRegistry();
	$i18n = $registry -> get('i18n');
	$filter_no_html = new Yab_Filter_NoHtml();
	
	//Verification champs requis
	function isRequired($cle,$elt){
		try{
			$rows= $cle->getElement($elt)->get('validators');
			for($i=0; $i < sizeof($rows); $i++){
				if(isset($rows[$i])){
					if($rows[$i] == "NotEmpty"){
						return true;
					}
				}
			}					
			throw new Exception("");
			return false;
		}catch(Exception $e){
			echo '';
		}
	}
?>

<h2 class="page-header">
	<?php echo $filter_no_html->filter( $i18n -> say('edit_form')).' '.$filter_no_html->filter( $i18n -> say('phasechrono')).' : '.
	$filter_no_html->filter($helper_form->getElement('identification')->get('value')) ; ?>
</h2>
<form method="post" name="form_phasechrono" action="" role="form" class="form-horizontal">	
	<fieldset>
		<div class="panel-group" id="accordion" role="tablist" aria-multiselectable="true">
			<!-- Panel Identification - Start -->
			<div id="panel_identification" class="panel panel-primary">
				<div class="panel-heading" role="tab" id="headingIdentification">
					<h4 class="panel-title">
						<span class="icon-address" aria-hidden="true"></span>&nbsp;
						<a role="button" data-toggle="collapse" data-parent="#accordion" href="#collapseIdentification"
						   aria-expanded="true" aria-controls="collapseIdentification">
							<?php echo $filter_no_html->filter( $i18n -> say('identification') );?>
						</a>
					</h4>
				</div>
				
				<div id="collapseIdentification" class="panel-collapse collapse in" role="tabpanel" aria-labelledby="headingIdentification">
					<div class="panel-body">
						<div class="form-group field text" id="Fsitefouille_id">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="<?php echo $helper_form->getElement('sitefouille_id')->get('id'); ?> ">
								<?php echo $helper_form->getElement('sitefouille_id')->get('label'); ?>
							</label>
							<div class="col-lg-9 col-md-9 col-sm-6 col-xs-6">
								<input id="<?php echo $helper_form->getElement('sitefouille_id')->get('id').'_intitule'; ?>" class="form-control"
								   type="text" value="<?php echo $helper_form->getElement('sitefouille_id')->get('intitule'); ?>"
								   readonly="1">
							</div>
							<?php echo $helper_form->getElement('sitefouille_id')->getHtml(); ?>
						</div>
						
						<div class="form-group field text" id="Fidentification">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="identification">
								<?php echo $helper_form->getElement('identification')->get('label').' '.((isRequired($helper_form,"identification")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('identification')->getHtml();?></div>
						</div>	
						
						<div class="form-group field textarea" id="Fdescription">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="description">
								<?php echo $helper_form->getElement('description')->get('label').' '.((isRequired($helper_form,"description")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('description')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Fepisode_urbain">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="episode_urbain">
								<?php echo $helper_form->getElement('episode_urbain')->get('label').' '.((isRequired($helper_form,"episode_urbain")) ? '*' : '');?>
							</label>
							<div><?php echo $helper_form->getElement('episode_urbain')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Fdatatfinhaut_aaaa">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="datatfinhaut_aaaa">
									<?php echo $helper_form->getElement('datatfinhaut_aaaa')->get('label').' '.((isRequired($helper_form,"datatfinhaut_aaaa")) ? '*' : '');?>
								</label>
							<div class="margedebdatation col-lg-2 col-md-2 col-sm-4 col-xs-4"><?php echo $helper_form->getElement('datatfinhaut_aaaa')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Fdatatfinbas_aaaa">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="datatfinbas_aaaa">
									<?php echo $helper_form->getElement('datatfinbas_aaaa')->get('label').' '.((isRequired($helper_form,"datatfinbas_aaaa")) ? '*' : '');?>
								</label>
							<div class="margedebdatation col-lg-2 col-md-2 col-sm-4 col-xs-4"><?php echo $helper_form->getElement('datatfinbas_aaaa')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Fdatatdebhaut_aaaa">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="datatdebhaut_aaaa">
									<?php echo $helper_form->getElement('datatdebhaut_aaaa')->get('label').' '.((isRequired($helper_form,"datatdebhaut_aaaa")) ? '*' : '');?>
								</label>
							<div class="margedebdatation col-lg-2 col-md-2 col-sm-4 col-xs-4"><?php echo $helper_form->getElement('datatdebhaut_aaaa')->getHtml();?></div>
						</div>
						
						<div class="form-group field text" id="Fdatatdebbas_aaaa">
							<label class="col-lg-3 col-md-3 col-sm-6 col-xs-6 control-label" for="datatdebbas_aaaa">
									<?php echo $helper_form->getElement('datatdebbas_aaaa')->get('label').' '.((isRequired($helper_form,"datatdebbas_aaaa")) ? '*' : '');?>
								</label>
							<div class="margedebdatation col-lg-2 col-md-2 col-sm-4 col-xs-4"><?php echo $helper_form->getElement('datatdebbas_aaaa')->getHtml();?></div>
						</div>
					</div>	
				</div>
			</div>
			<!-- Panel Identification - End -->
		</div>
		<div>
			<input class="btn btn-primary" type="submit" value="<?php echo $filter_no_html->filter( $i18n -> say('save_form') ); ?>" />
			<a href="<?php echo $this->getRequest('Phasechrono', 'index'); ?>" class="btn btn-default"><?php echo $filter_no_html->filter( $i18n -> say('back_form') ); ?></a>
		</div>
	</fieldset>
</form>